<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::SceneManagerEnumerator Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#c73478338f38ccf1e5779ef173759111">addFactory</a>(SceneManagerFactory *fact)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#97e10c46bc45a4f86f17ed6496b4aec2">createSceneManager</a>(const String &amp;typeName, const String &amp;instanceName=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#509c915293734c266aa187c3ba722c81">createSceneManager</a>(SceneTypeMask typeMask, const String &amp;instanceName=StringUtil::BLANK)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#949f76dbb289634b7f9b064131f015d5">destroySceneManager</a>(SceneManager *sm)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#14fdb5ced550f83875c3a04747aa90bd">Factories</a> typedef</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#8a380b4d3c7d410358c800fed236a5ca">getMetaData</a>(const String &amp;typeName) const </td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#6249e163c0bd840f77e7df3f67904daf">getMetaDataIterator</a>(void) const </td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#b2a6f231805a893dfff2eabc494b21ce">getSceneManager</a>(const String &amp;instanceName) const </td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#5bb43dcf8988708ce05c1e4f303066d1">getSceneManagerIterator</a>(void)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#137cf67285fc6ea14574db3dcf181d46">getSingleton</a>(void)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#85109f580da806433a363792a7233fe4">getSingletonPtr</a>(void)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#b97d2f08984d72f3feca11b4ade4c252">Instances</a> typedef</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#3cc008e5a1a0c9cdb40ea466edde6f34">mCurrentRenderSystem</a></td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#6246f52d458fd225d38ac5341ea0385e">mDefaultFactory</a></td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#ba1ede3f8195a234c286f372ef181ce0">MetaDataIterator</a> typedef</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#2f7852dbcd5c15830c2610c823fdefdb">MetaDataList</a> typedef</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#b1a2d0123b64f95a29460d176b36d971">mFactories</a></td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#7742ef989061d92dc8ad9a5c12dedc7e">mInstanceCreateCount</a></td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#94dbb182944a32cf82137b253351d8ee">mInstances</a></td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#966292fbcb304e584f411075f95cf5b2">mMetaDataList</a></td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#cb458bf3cd09c21f35d38c5919926acf">removeFactory</a>(SceneManagerFactory *fact)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#e9f329de24a59f62fc305723f6fbde46">SceneManagerEnumerator</a>()</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#d27d358bd89b7b44a8b360ce36df3aaa">SceneManagerIterator</a> typedef</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#dec389e756f0800fee80a23c740fea3a">setRenderSystem</a>(RenderSystem *rs)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#f4ced44d3cf71a08ea0e8c4d807b32ce">shutdownAll</a>(void)</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#2b0622a1223ac3a0c6b9c53e787b8d93">Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html#e0b6596c1aa9ca66b44b9db6c5781526">~SceneManagerEnumerator</a>()</td><td><a class="el" href="classOgre_1_1SceneManagerEnumerator.html">Ogre::SceneManagerEnumerator</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Singleton.html#9bc0518bb06d12629e287149cdcc4b5d">~Singleton</a>(void)</td><td><a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton&lt; T &gt;</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:53:18 2008
</p>
</body>
</html>
